// Code generated by goa v3.7.0, DO NOT EDIT.
//
// task HTTP server types
//
// Command:
// $ goa gen
// gitlab.com/gaia-x/data-infrastructure-federation-services/tsa/task/design

package server

import (
	task "gitlab.com/gaia-x/data-infrastructure-federation-services/tsa/task/gen/task"
)

// CreateResponseBody is the type of the "task" service "Create" endpoint HTTP
// response body.
type CreateResponseBody struct {
	// Unique task identifier.
	TaskID string `form:"taskID" json:"taskID" xml:"taskID"`
}

// NewCreateResponseBody builds the HTTP response body from the result of the
// "Create" endpoint of the "task" service.
func NewCreateResponseBody(res *task.CreateTaskResult) *CreateResponseBody {
	body := &CreateResponseBody{
		TaskID: res.TaskID,
	}
	return body
}

// NewCreateTaskRequest builds a task service Create endpoint payload.
func NewCreateTaskRequest(body interface{}, taskName string, cacheNamespace *string, cacheScope *string) *task.CreateTaskRequest {
	v := body
	res := &task.CreateTaskRequest{
		Data: v,
	}
	res.TaskName = taskName
	res.CacheNamespace = cacheNamespace
	res.CacheScope = cacheScope

	return res
}

// NewTaskResultRequest builds a task service TaskResult endpoint payload.
func NewTaskResultRequest(taskID string) *task.TaskResultRequest {
	v := &task.TaskResultRequest{}
	v.TaskID = taskID

	return v
}
